xine-lib: xine_bmiheader Struct Reference

xine-lib 1.2.12

Data Fields
xine_bmiheader Struct Reference

xine version of BITMAPINFOHEADER. More...

`#include <buffer.h>`

## Data Fields
int32_t | biSize
int32_t | biWidth
int32_t | biHeight
int16_t | biPlanes
int16_t | biBitCount
uint32_t | biCompression
int32_t | biSizeImage
int32_t | biXPelsPerMeter
int32_t | biYPelsPerMeter
int32_t | biClrUsed
int32_t | biClrImportant

## Detailed Description

xine version of BITMAPINFOHEADER.

Note
  Should be safe to compile on 64bits machines.
  Will always use machine endian format, so demuxers reading stuff from win32 formats must use the function below.

## Field Documentation

## ◆ biBitCount

int16_t xine_bmiheader::biBitCount

Referenced by _x_bmiheader_le2me(), bitplane_decode_data(), decode_dshow_header(), decode_video_header(), demux_raw_dv_send_headers(), rgb_decode_data(), and send_headers_video().

## ◆ biClrImportant

int32_t xine_bmiheader::biClrImportant

Referenced by _x_bmiheader_le2me(), decode_dshow_header(), and decode_video_header().

## ◆ biClrUsed

int32_t xine_bmiheader::biClrUsed

Referenced by _x_bmiheader_le2me(), asf_read_header(), decode_dshow_header(), and decode_video_header().

## ◆ biCompression

uint32_t xine_bmiheader::biCompression

Referenced by asf_read_header(), asf_send_video_header(), bitplane_decode_data(), decode_dshow_header(), decode_video_header(), demux_raw_dv_send_headers(), fill_extra_data(), and parse_track_entry().

## ◆ biHeight

int32_t xine_bmiheader::biHeight

Referenced by _x_bmiheader_le2me(), asf_send_video_header(), bitplane_decode_data(), decode_dshow_header(), decode_video_header(), demux_ivf_send_headers(), demux_raw_dv_send_headers(), fill_extra_data(), foovideo_decode_data(), handle_header(), open_film_file(), open_fourxm_file(), open_idcin_file(), read_flv_packet(), real_parse_headers(), rgb_decode_data(), send_headers_video(), v4l2_input_read_block(), v4l_plugin_read_block(), vdpau_h264_alter_decode_data(), vdpau_h264_decode_data(), vdpau_vc1_decode_data(), vpx_handle_header(), and yuv_decode_data().

## ◆ biPlanes

int16_t xine_bmiheader::biPlanes

Referenced by _x_bmiheader_le2me(), bitplane_decode_data(), decode_dshow_header(), decode_video_header(), and demux_raw_dv_send_headers().

## ◆ biSize

int32_t xine_bmiheader::biSize

Referenced by _x_bmiheader_le2me(), asf_read_header(), decode_dshow_header(), decode_video_header(), demux_ivf_send_headers(), demux_raw_dv_send_headers(), fill_extra_data(), handle_header(), read_flv_packet(), real_parse_headers(), send_headers_video(), v4l2_input_read_block(), v4l_plugin_read_block(), vdpau_h264_alter_decode_data(), and vdpau_h264_decode_data().

## ◆ biSizeImage

int32_t xine_bmiheader::biSizeImage

Referenced by _x_bmiheader_le2me(), decode_dshow_header(), decode_video_header(), and demux_raw_dv_send_headers().

## ◆ biWidth

int32_t xine_bmiheader::biWidth

Referenced by _x_bmiheader_le2me(), asf_send_video_header(), bitplane_decode_data(), decode_dshow_header(), decode_video_header(), demux_ivf_send_headers(), demux_raw_dv_send_headers(), fill_extra_data(), foovideo_decode_data(), handle_header(), open_film_file(), open_fourxm_file(), open_idcin_file(), read_flv_packet(), real_parse_headers(), rgb_decode_data(), send_headers_video(), v4l2_input_read_block(), v4l_plugin_read_block(), vdpau_h264_alter_decode_data(), vdpau_h264_decode_data(), vdpau_vc1_decode_data(), vpx_handle_header(), and yuv_decode_data().

## ◆ biXPelsPerMeter

int32_t xine_bmiheader::biXPelsPerMeter

Referenced by _x_bmiheader_le2me(), decode_dshow_header(), and decode_video_header().

## ◆ biYPelsPerMeter

int32_t xine_bmiheader::biYPelsPerMeter

Referenced by _x_bmiheader_le2me(), decode_dshow_header(), and decode_video_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/buffer.h